[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TNBPages.GetPage

Gets the page stored at the specified position in PageList.

## Declaration

Source position: comctrls.pp line 313

`protected function TNBPages.GetPage(`
`Index: Integer`
`):TCustomPage; override;`

## Arguments

`Index` |  | Ordinal position in PageList for the requested page.

## Function result

TCustomPage instance stored at the specified position.

## Description

GetPage implements the abstract method defined in the ancestor, and is used to get a TCustomPage instance stored at the specified position in PageList. GetPage calls the GetObject method to retrieve the page, and casts it to the TCustomPage type used in the return value.